internal::function_input_base< Input, Policy, A, ImplType >::operation_type Class Reference
Inheritance diagram for internal::function_input_base< Input, Policy, A, ImplType >::operation_type:
Collaboration diagram for internal::function_input_base< Input, Policy, A, ImplType >::operation_type:

## Public Member Functions

| operation_type (const input_type &e, op_type t)
| operation_type (op_type t)
Public Member Functions inherited from tbb::interface6::internal::aggregated_operation< Derived >
| aggregated_operation ()

## Public Attributes

char | type
union {
input_type * elem
predecessor_type * r
}; |
tbb::task * | bypass_t
Public Attributes inherited from tbb::interface6::internal::aggregated_operation< Derived >
uintptr_t | status
| Zero value means "wait" status, all other values are "user" specified values and are defined into the scope of a class which uses "status". More...
Derived * | next

## Detailed Description

### template<typename Input, typename Policy, typename A, typename ImplType>
class internal::function_input_base< Input, Policy, A, ImplType >::operation_type

Definition at line 209 of file _flow_graph_node_impl.h.

## Constructor & Destructor Documentation

## operation_type() [1/2]

template<typename Input , typename Policy , typename A , typename ImplType >

internal::function_input_base< Input, Policy, A, ImplType >::operation_type::operation_type | ( | const input_type & | e,
|  | op_type | t
| ) |  |

inline

Definition at line 221 of file _flow_graph_node_impl.h.

:
type(char(t)), elem(const_cast<input_type*>(&e)) {}
internal::function_input_base::input_type
Input input_type
The input type of this receiver.
Definition: _flow_graph_node_impl.h:73
internal::function_input_base::operation_type::type
char type
Definition: _flow_graph_node_impl.h:211
internal::function_input_base::operation_type::elem
input_type * elem
Definition: _flow_graph_node_impl.h:213

## operation_type() [2/2]

template<typename Input , typename Policy , typename A , typename ImplType >

internal::function_input_base< Input, Policy, A, ImplType >::operation_type::operation_type | ( | op_type | t | ) |

inline

Definition at line 223 of file _flow_graph_node_impl.h.

: type(char(t)), r(NULL) {}
internal::function_input_base::operation_type::r
predecessor_type * r
Definition: _flow_graph_node_impl.h:214

## Member Data Documentation

##

union { ... }

## bypass_t

template<typename Input , typename Policy , typename A , typename ImplType >

tbb::task* internal::function_input_base< Input, Policy, A, ImplType >::operation_type::bypass_t

Definition at line 220 of file _flow_graph_node_impl.h.

Referenced by internal::function_input_base< Input, Policy, A, ImplType >::forward_task(), internal::function_input_base< Input, Policy, A, ImplType >::handle_operations(), internal::function_input_base< Input, Policy, A, ImplType >::internal_forward(), internal::function_input_base< Input, Policy, A, ImplType >::internal_try_put_bypass(), and internal::function_input_base< Input, Policy, A, ImplType >::internal_try_put_task().

## elem

template<typename Input , typename Policy , typename A , typename ImplType >

input_type* internal::function_input_base< Input, Policy, A, ImplType >::operation_type::elem

Definition at line 213 of file _flow_graph_node_impl.h.

Referenced by internal::function_input_base< Input, Policy, A, ImplType >::internal_try_put_task().

## r

template<typename Input , typename Policy , typename A , typename ImplType >

predecessor_type* internal::function_input_base< Input, Policy, A, ImplType >::operation_type::r

Definition at line 214 of file _flow_graph_node_impl.h.

Referenced by internal::function_input_base< Input, Policy, A, ImplType >::handle_operations(), internal::function_input_base< Input, Policy, A, ImplType >::register_predecessor(), and internal::function_input_base< Input, Policy, A, ImplType >::remove_predecessor().

## type

template<typename Input , typename Policy , typename A , typename ImplType >

char internal::function_input_base< Input, Policy, A, ImplType >::operation_type::type

Definition at line 211 of file _flow_graph_node_impl.h.

Referenced by internal::function_input_base< Input, Policy, A, ImplType >::handle_operations().

The documentation for this class was generated from the following file:

- _flow_graph_node_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.